##
##  uxdstools.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_opkg   0.6.3
%define       V_dist   0.6.3
%define       V_subdir 0.6.3

#   package information
Name:         uxdstools
Summary:      Unix Directory Services Tools
URL:          http://uxdstools.mikro-net.com/
Vendor:       Michael Brown
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Database
License:      GPL
Version:      %{V_opkg}
Release:      20101126

#   list of sources
Source0:      http://uxdstools.mikro-net.com/downloads/uxdstools-%{V_dist}.tar.gz
Patch0:       uxdstools.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101
PreReq:       OpenPKG, openpkg >= 20160101
BuildPreReq:  openldap, openssl
PreReq:       openldap, openssl

%description
    Unix Directory Service Tools is a suite of command tools in the vein
    of the useradd/mod/del, etc tools found on Linux and and Solaris, pw
    tools on BSD, mk|ch|rmuser/group tools on AIX, etc. However, their
    use is not to manipulate local accounts, but POSIX-type accounts
    that can be found in LDAP directory services installations, namely
    those with posixAccount and posixGroup attributes.

%track
    prog uxdstools = {
        version   = %{version}
        url       = http://uxdstools.mikro-net.com/
        regex     = uxdstools-(__VER__)\.tar\.gz
    }

%prep
    %setup -q -n uxdstools-%{V_subdir}
    %patch -p0

%build
    CC="%{l_cc}" \
    CFLAGS="%{l_cflags -O}" \
    CPPFLAGS="-I. %{l_cppflags}" \
    LDFLAGS="%{l_ldflags}" \
    LIBS="-lldap -llber -lssl -lcrypto" \
    ./configure \
        --prefix=%{l_prefix} \
        --mandir=%{l_prefix}/man \
        --enable-realm=example.com \
        --disable-sasl \
        --disable-gssapi \
        --disable-pts
    %{l_make} %{l_mflags -O}

%install
    %{l_make} %{l_mflags} install AM_MAKEFLAGS="DESTDIR=$RPM_BUILD_ROOT"
    strip $RPM_BUILD_ROOT%{l_prefix}/bin/* >/dev/null 2>&1 || true
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

